ObjectARX
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

AcDb3dPolyline::intersectWith()

0 REPLIES 0
Reply
Message 1 of 1
Anonymous
227 Views, 0 Replies

AcDb3dPolyline::intersectWith()

I am having a problem finding the intersection of two objects. The first
object is an AcDbPolyline, and the second object is a 3d polyline. The
problem is, the function does not find the intersection, even though it
returns Acad::eOk! In the code below, if pCurve points to an AcDbLine with
the same 2 points as the 3d polyline, the intersection is found without a
problem. What gives??

extern AcDbPolyline *pPline
extern AcDbCurve *pCurve;
{...}
AcDb::Planarity tmp;
AcGePlane pln;
pPline->getPlane(pln, tmp);
es = pPline->intersectWith(pCurve, AcDb::kOnBothOperands, pln, pts);
assert(es == Acad::eOk); // Ok!
assert(pts.length() > 0); // NOT ok!

Jon Rizzo
Langan Engineering and Environmental Services, Inc.
0 REPLIES 0

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost